Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: Vincent Belaïche <[email-masked]>
Date: Fri, 15 Jan 2016 08:56:44 +0100

Answers below...

Le 15/01/2016 08:46, Eli Zaretskii a écrit :
>> From: Vincent Belaïche <[email-masked]> 
>> Cc: Vincent Belaïche <[email-masked]>
>>  ,[email-masked]
>> Date: Thu, 14 Jan 2016 23:54:57 +0100
>>
>>> Please tell what these commands display:
>>>
>>>   (gdb) p p
>>>   (gdb) p end
>>>
>>> Thanks.
>>
>> Here you are. I tried to print other variables too, but unfortunately,
>> when doing that it seems that I have killed the gdb session (doing `p
>> *p' has caused gdb to get locked telling "value has been optimized out",
>> and then I had to do `M-x signal-process RET shell RET 3 RET' to exit
>> from this.
>>
>> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
>> (gdb) p p
>> $1 = <optimized out>
>> (gdb) p end
>> $2 = (unsigned char *) 0x9bbcd354 <Address 0x9bbcd354 out of bounds>
>> (gdb) p obj
>> $3 = 12579352
>> (gdb) p name
>> $4 = <optimized out>
>> (gdb) p *p
>> (gdb) value has been optimized out
>
> This just means you compiled Emacs with optimizations.  Can you
> reproduce this in an unoptimized build?

I had compiled with this line in the script launching it all:

  export CPPFLAGS="$CPPFLAGS -DFOR_MSW=1 -I ${HERE_DIR}/libXpm-3.5.8/include -I ${HERE_DIR}/libXpm-3.5.8/src -L ${HERE_DIR}/libXpm-3.5.8/src"

I will recompile with it modified as follows (-Og added):

  export CPPFLAGS="$CPPFLAGS -Og -DFOR_MSW=1 -I ${HERE_DIR}/libXpm-3.5.8/include -I ${HERE_DIR}/libXpm-3.5.8/src -L ${HERE_DIR}/libXpm-3.5.8/src"

Could you please confirm it is what you want before I go there.

  Vincent.

PS: BTW, it won't be the same Emacs source code as the one crashing
anyway, because I did some git pull meanwhile. what shall I do with
that, shouldn't I try another git pull to work on the latest src
version, or should I try to get the same src as the one crashing by
getting a work area revision bashed on crashing Eamcs version
compilation date.